Subject: bug#47150: [External] : bug#47150: 28.0.50; Incorrect major-mode in minibuffer

From: "Sheng Yang" <[email-masked]>
Date: Fri, 09 Apr 2021 03:57:01 -0500

Any update/decision on this? The discussions have been inactive for more than 2 weeks.

On Mon, Mar 22, 2021, at 16:36, Drew Adams wrote:
> > > Can I ask what's wrong with what I suggested: One mode, not two; just
> > > change the name and provide a helpful doc-string that covers both
> > > active and inactive?
> > 
> > What's the benefit?  Have you tried to implement it?
> 
> Is there really something to "implement"?
> 
> Rename `minibuffer-inactive-mode' to something
> without "inactive".
> 
> Give it a doc string that says when inactive...
> and when active....  We already have the former
> part.  The latter can just point out the keymaps
> (which become links to their doc).
> 
> Benefit: Like what we have now - or after Alan's
> change to fundamental-mode - but with better doc
> and without a misleading mode name.
> 
> The behavior is already there, no?  When inactive
> we get the inactive key bindings.  Otherwise, we
> get the usual minibuffer keymaps.
> 
> IIUC, that's the case whether or not the "active"
> state nominally uses `fundamental-mode', since the
> minibuffer keymaps are still used.  The difference
> is (1) doc and (2) only one mode.
> 
> Feel free to let me know what I'm missing.
> 

Sheng Yang(杨圣), PhD
Computer Science Department
University of Maryland, College Park
E-mail: [email-masked]
E-mail (old but still used): [email-masked]